refdbjade
Prev | Chapter 14. Tools for bibliographies | Next

## Name

refdbjade — transform SGML and XML documents containing RefDB bibliographies

## Synopsis

`refdbjade` [`-h` ] [`-i` `variable`] [`-p` `prefix`] [`-s` `stylesheet`] [`-t` `format`] `file`

## Description

refdbjade uses the stylesheet driver file that you created with runbib(1) and feeds it to Jade/OpenJade to transform your DocBook SGML or XML document to one of the supported output formats.

Note: If you prefer to transform your DocBook XML document with the XSL stylesheets as most people do these days, please use refdbxml(1) instead.

## Options

`-h`

  Prints a command synopsis on the screen and exits

`-i` `variable`

  Define a variable that is passed to Jade/OpenJade. Multiple entries are possible. This can be used to conditionally include or exclude parts of the document according to which variable is set.

`-p` `prefix`

  This determines a prefix that is added to all filenames that Jade/OpenJade create. This can be useful to avoid filename conflicts if you transform or use several DocBook documents in the same folder.

`-s` `stylesheet`

  This selects the stylesheet driver file. This file is generated by refdbib(1) (which in turn is called by runbib(1)) and contains additional formatting information.

`-t` `format`

  Select an output format with this option. Possible values are html, rtf, dvi, pdf, ps, tex, to generate HTML, RTF, DVI, PDF, PostScript, or JadeTeX output, respectively. Use tps and tpdf to create PostScript or PDF output, respectively, from the intermediate JadeTeX output generated by any of the switches dvi, pdf, ps, or tex. This is useful if you have to edit the intermediate JadeTeX file, e.g. to manually shift pagebreaks. If your DSSSL engine of choice is OpenJade, you can use htmlr to generate raw HTML output (the same as HTML but without these funny linefeeds in the end tags).

file

  The names of one or more SGML or XML files. Each document will be processed separately.

## Environment

SGML_CATALOG_FILES

This environment variable is consulted to resolve public identifiers in the SGML source documents. It is advisable to keep local copies of the DTD files and add OVERRIDE YES to the top of your catalog files. This ensures that the local copies are used and avoids unnecessary network traffic.

## Example

Here we'll use the files generated in the last example above (see runbib) and generate a nicely formatted PDF file:

          ~$
          refdbjade -d J.Biol.Chem.dsl -t pdf mypaper.sgml

To obtain HTML output, you just change the output type switch:

          ~$
          refdbjade -d J.Biol.Chem.dsl -t html mypaper.sgml

## See also

RefDB (7), refdbib (1), runbib (1), refdbxml (1).

RefDB manual (local copy) <prefix>/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

refdbjade was written by Markus Hoenicka <markus@mhoenicka.de>.

Prev | Up | Next
runbib | Home | refdbxml